Ubuntu – Trelby not installing in 16.04

dependenciessoftware installation

Trying to install trelby by using sudo dpkg -i trelby_2.2_all.deb produces this error:

Selecting previously unselected package trelby.
(Reading database ... 267174 files and directories currently installed.)
Preparing to unpack trelby_2.2_all.deb ...
Unpacking trelby (2.2) ...
dpkg: dependency problems prevent configuration of trelby:
 trelby depends on python-wxgtk2.8; however:
  Package python-wxgtk2.8 is not installed.

dpkg: error processing package trelby (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.13.3-6ubuntu3) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Errors were encountered while processing:
 trelby

It clearly looks like a dependency issue, but I don't know how to resolve this.

Any ideas?

Best Answer

  • As written in this Debian mailing list:

    It's a problem with Trelby: https://github.com/oskusalerma/trelby/commit/50c46f2249ca5b094c5e712a872e1dadbd8dfdfa

    Looks like it was fixed, but no new package was built.

    You might want to report a bug to the Trelby developer, and preferably ask them to list the requirements for the package too. "Ubuntu/Debian" doesn't tell you much.

    You might also consider compiling it from source.